Skip to main content
GET
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
repositories
/
{repository_name}
/
artifacts
List registry artifacts
curl --request GET \
  --url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "digest": "sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c",
      "id": 1,
      "pulled_at": "2024-06-18T09:36:53.335000Z",
      "pushed_at": "2024-06-18T09:36:53.335000Z",
      "registry_id": 1,
      "repository_id": 1,
      "size": 1,
      "tags": [
        {
          "artifact_id": 1,
          "id": 1,
          "name": "v0.0.1",
          "pulled_at": "2024-06-18T09:36:53.335000Z",
          "pushed_at": "2024-06-18T09:36:53.335000Z",
          "repository_id": 5
        },
        {
          "artifact_id": 1,
          "id": 2,
          "name": "latest",
          "pulled_at": "2024-06-18T09:36:53.335000Z",
          "pushed_at": "2024-06-18T09:36:53.335000Z",
          "repository_id": 5
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

registry_id
integer
required

Registry ID

repository_name
string
required

Repository name If it contains slash, encode it with URL encoding. e.g. a/b -> a%252Fb

Response

List of artifacts

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
RegistryArtifactSerializer · object[]
required

Objects